org.apache.olingo.odata2.jpa.processor.api.jpql

## Class JPQLStatement

- java.lang.Object
- - org.apache.olingo.odata2.jpa.processor.api.jpql.JPQLStatement

-     public class JPQLStatement
      extends Object

  The class represents a Java Persistence Query Language (JPQL) Statement. The JPQL statement is built using a builder namely `JPQLStatement.JPQLStatementBuilder` . Based upon the JPQL Context types ( `JPQLContextType` different kinds of JPQL statements are built. The JPQL statements thus generated can be executed using JPA Query APIs to fetch JPA entities.
  See Also:
    `JPQLBuilderFactory`, `JPQLContextView`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JPQLStatement.DELIMITER`
    `static class` | `JPQLStatement.JPQLStatementBuilder` The abstract class is extended by specific JPQL statement builders for building JPQL statements like Select statements Select single statements Select statements with Join Insert/Modify/Delete statements A default statement builder for building each kind of JPQL statements is provided by the library.
    `static class` | `JPQLStatement.KEYWORD`
    `static class` | `JPQLStatement.Operator`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `statement`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JPQLStatement.JPQLStatementBuilder` | `createBuilder(JPQLContextView context)` The method is used for creating an instance of JPQL Statement Builder for building JPQL statements.
    `String` | `toString()` The method provides a String representation of JPQLStatement.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### statement

          protected String statement

  - ### Method Detail

    - #### createBuilder

          public static JPQLStatement.JPQLStatementBuilder createBuilder(JPQLContextView context)
                                                                  throws ODataJPARuntimeException

      The method is used for creating an instance of JPQL Statement Builder for building JPQL statements. The JPQL Statement builder is created based upon the JPQL Context.
      Parameters:
        `context` - a non null value of `JPQLContextView` . The context is expected to be set to be built with no errors.
      Returns:
        an instance of JPQL statement builder
      Throws:
        `ODataJPARuntimeException`

    - #### toString

          public String toString()

      The method provides a String representation of JPQLStatement.
      Overrides:
        `toString` in class `Object`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.